<?php
/**
 * SeoHub Framework: global variables storage
 *
 * @package	seohub
 * @since	seohub 1.0
 */

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }

// Get global variable
if (!function_exists('seohub_get_global')) {
	function seohub_get_global($var_name) {
		global $SEOHUB_GLOBALS;
		return isset($SEOHUB_GLOBALS[$var_name]) ? $SEOHUB_GLOBALS[$var_name] : '';
	}
}

// Set global variable
if (!function_exists('seohub_set_global')) {
	function seohub_set_global($var_name, $value) {
		global $SEOHUB_GLOBALS;
		$SEOHUB_GLOBALS[$var_name] = $value;
	}
}

// Inc/Dec global variable with specified value
if (!function_exists('seohub_inc_global')) {
	function seohub_inc_global($var_name, $value=1) {
		global $SEOHUB_GLOBALS;
		$SEOHUB_GLOBALS[$var_name] += $value;
	}
}

// Concatenate global variable with specified value
if (!function_exists('seohub_concat_global')) {
	function seohub_concat_global($var_name, $value) {
		global $SEOHUB_GLOBALS;
		$SEOHUB_GLOBALS[$var_name] .= $value;
	}
}

// Get global array element
if (!function_exists('seohub_get_global_array')) {
	function seohub_get_global_array($var_name, $key) {
		global $SEOHUB_GLOBALS;
		return isset($SEOHUB_GLOBALS[$var_name][$key]) ? $SEOHUB_GLOBALS[$var_name][$key] : '';
	}
}

// Set global array element
if (!function_exists('seohub_set_global_array')) {
	function seohub_set_global_array($var_name, $key, $value) {
		global $SEOHUB_GLOBALS;
		if (!isset($SEOHUB_GLOBALS[$var_name])) $SEOHUB_GLOBALS[$var_name] = array();
		$SEOHUB_GLOBALS[$var_name][$key] = $value;
	}
}

// Inc/Dec global array element with specified value
if (!function_exists('seohub_inc_global_array')) {
	function seohub_inc_global_array($var_name, $key, $value=1) {
		global $SEOHUB_GLOBALS;
		$SEOHUB_GLOBALS[$var_name][$key] += $value;
	}
}

// Concatenate global array element with specified value
if (!function_exists('seohub_concat_global_array')) {
	function seohub_concat_global_array($var_name, $key, $value) {
		global $SEOHUB_GLOBALS;
		$SEOHUB_GLOBALS[$var_name][$key] .= $value;
	}
}
?>